<?php

/**
 * @file
 * Hooks for scorm_cloud actions.
 */

/**
 * Implementation of hook_hook_info().
 */
function scorm_cloud_hook_info() {
  return array(
    'scorm_cloud' => array(
      'scorm_cloud' => array(
        'course_complete' => array(
          'runs when' => t('A course is completed.'),
        ),
      ),
    ),
  );
}

/**
 * Implementation of hook_action_info_alter().
 */
function scorm_cloud_action_info_alter(&$actions) {
  // Allow general system actions to be triggered by SCORM Cloud.
  foreach ($actions as $key => $action) {
    if ($action['type'] == 'system') {
      $actions[$key]['hooks']['scorm_cloud'] = array('course_complete');
    }
  }
}

/**
 * Trigger a course-complete action.
 */
function scorm_cloud_trigger_course_complete($registration) {
  // Get the action ids.
  $aids = _trigger_get_hook_aids('scorm_cloud', 'course_complete');
  if ($aids) {
    $account = $registration->uid ? user_load($registration->uid) : NULL;
    $node    = $registration->nid ? node_load($registration->nid) : NULL;
    foreach ($aids as $aid => $action_info) {
      if ($aid) {
        actions_do($aid, $registration, array('scorm_cloud_registration' => $registration, 'user' => $account, 'node' => $node));
      }
    }
  }
}