<?php

/**
 * @file
 * Scorm Cloud module tokens support.
 */

/**
 * Implementation of hook_token_list().
 */
function scorm_cloud_token_list($type = 'all') {
  $tokens = array();
  if ($type == 'scorm_cloud_registration' || $type == 'all') {
    $tokens['scorm-cloud-registration']['scorm-cloud-registration-course-name'] = t('The registration course name.');
    $fields = scorm_cloud_registration_fields();
    foreach ($fields as $field => $title) {
      $tokens['scorm-cloud-registration']['scorm-cloud-registration-' . $field . '-raw'] = t('Raw registration field: !field', array('!field' => $title));
      $tokens['scorm-cloud-registration']['scorm-cloud-registration-' . $field] = t('Registration field: !field', array('!field' => $title));
    }
  }
  return $tokens;
}

/**
 * Implementation of hook_token_values().
 */
function scorm_cloud_token_values($type, $object = NULL) {
  $values = array();
  if ($type == 'scorm_cloud_registration') {
    $values['scorm-cloud-registration-course-name'] = isset($object->course_id) ? scorm_cloud_course_get_title($object->course_id) : '';

    $fields = scorm_cloud_registration_fields();
    foreach ($fields as $field => $title) {
      $values['scorm-cloud-registration-' . $field . '-raw'] = isset($object->{$field}) ? $object->{$field} : $object->{$field};
      $values['scorm-cloud-registration-' . $field] = scorm_cloud_course_render_registration_info_field($field, $object);
    }
  }

  return $values;
}

